Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine.extvar
Class ExternalVariableManager

    java.lang.Object
      org.apache.ode.bpel.engine.extvar.ExternalVariableManager

    public class ExternalVariableManager

extends java.lang.Object

Manager for external variable instances; used by `ODEProcess` to manage external variables.

Constructor Summary
`ExternalVariableManager(javax.xml.namespace.QName pid, ExternalVariableConf evconf, java.util.Map<javax.xml.namespace.QName,ExternalVariableModule> engines)`

Method Summary
`ExternalVariableModule.Value` | `read(Variable variable, org.w3c.dom.Node reference, java.lang.Long iid)` Read an external variable.
`ExternalVariableModule.Value` | `write(Variable variable, org.w3c.dom.Node reference, org.w3c.dom.Node val, java.lang.Long iid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalVariableManager

    public ExternalVariableManager(javax.xml.namespace.QName pid,
                                   ExternalVariableConf evconf,
                                   java.util.Map<javax.xml.namespace.QName,ExternalVariableModule> engines)
                            throws BpelEngineException

Throws:
  `BpelEngineException`

Method Detail

### read

    public ExternalVariableModule.Value read(Variable variable,
                                             org.w3c.dom.Node reference,
                                             java.lang.Long iid)
                                      throws ExternalVariableModuleException

  Read an external variable.

  Throws:
    `ExternalVariableModuleException`

### write

    public ExternalVariableModule.Value write(Variable variable,
                                              org.w3c.dom.Node reference,
                                              org.w3c.dom.Node val,
                                              java.lang.Long iid)
                                       throws ExternalVariableModuleException

  Throws:
    `ExternalVariableModuleException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD